Bug 981072 - [abrt] alacarte-3.7.90-1.fc19: codecs.py:351:write:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc4 in position 80: ordinal not in range(128)
[abrt] alacarte-3.7.90-1.fc19: codecs.py:351:write:UnicodeDecodeError: 'ascii...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: alacarte (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jasper St. Pierre
Fedora Extras Quality Assurance
abrt_hash:2ed313bd5f5afe9d5b4bddd21e9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 19:37 EDT by Pavel Roskin
Modified: 2015-02-17 10:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:49:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.80 KB, text/plain)
2013-07-03 19:37 EDT, Pavel Roskin
no flags Details
File: core_backtrace (666 bytes, text/plain)
2013-07-03 19:37 EDT, Pavel Roskin
no flags Details
File: environ (2.61 KB, text/plain)
2013-07-03 19:37 EDT, Pavel Roskin
no flags Details

  None (edit)
Description Pavel Roskin 2013-07-03 19:37:29 EDT
Description of problem:
I was removing items from the "Other" submenu.  I removed several items successfully, but alacarte crashed when I tried removing an item called "Wine Windows Program Loader".  I can reproduce the problem.  If I restart alacarte, the item reappears.  I'm running LXDE.

Version-Release number of selected component:
alacarte-3.7.90-1.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python2.7 -OOt /bin/alacarte
dso_list:       python-libs-2.7.5-1.fc19.x86_64
executable:     /bin/alacarte
kernel:         3.10.0-main
runlevel:       N 5
uid:            1000

Truncated backtrace:
codecs.py:351:write:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc4 in position 80: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 397, in on_item_tree_key_press_event
    self.on_edit_delete_activate(item_tree)
  File "/usr/lib/python2.7/site-packages/Alacarte/MainWindow.py", line 286, in on_edit_delete_activate
    self.editor.deleteItem(item)
  File "/usr/lib/python2.7/site-packages/Alacarte/MenuEditor.py", line 275, in deleteItem
    self.writeItem(item, Hidden=True)
  File "/usr/lib/python2.7/site-packages/Alacarte/MenuEditor.py", line 408, in writeItem
    f.write(contents)
  File "/usr/lib64/python2.7/codecs.py", line 691, in write
    return self.writer.write(data)
  File "/usr/lib64/python2.7/codecs.py", line 351, in write
    data, consumed = self.encode(object, self.errors)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc4 in position 80: ordinal not in range(128)

Local variables in innermost frame:
self: <closed file '/home/proski/.local/share/applications/wine.desktop', mode 'wb' at 0x1640ae0>
object: "[Desktop Entry]\nType=Application\nName=Wine Windows Program Loader\nName[cs]=Zavad\xc4\x9b\xc4\x8d program\xc5\xaf pro Wine\nName[de]=Wine Windows-Programmstarter\nName[es]=Wine Cargador de programas de Windows\nName[lt]=Wine Windows program\xc5\xb3 paleidykl\xc4\x97\nName[nl]=Wine Windows programmalader\nName[sv]=Wine Windows Programstartare\nName[ro]=Wine - \xc3\x8enc\xc4\x83rc\xc4\x83torul de programe Windows\nName[ru]=Wine - \xd0\xb7\xd0\xb0\xd0\xb3\xd1\x80\xd1\x83\xd0\xb7\xd1\x87\xd0\xb8\xd0\xba Windows \xd0\xbf\xd1\x80\xd0\xbe\xd0\xb3\xd1\x80\xd0\xb0\xd0\xbc\xd0\xbc\nName[uk]=Wine - \xd0\xb7\xd0\xb0\xd0\xb2\xd0\xb0\xd0\xbd\xd1\x82\xd0\xb0\xd0\xb6\xd1\x83\xd0\xb2\xd0\xb0\xd1\x87 Windows \xd0\xbf\xd1\x80\xd0\xbe\xd0\xb3\xd1\x80\xd0\xb0\xd0\xbc\nName[fr]=Wine - Chargeur de programmes Windows\nName[ca]=Wine - Carregador d'aplicacions del Windows\nName[pt]=Carregador de aplicativos Windows Wine\nName[pt_br]=Carregador de aplicativos Windows Wine\nName[it]=Wine Carica Programmi Windows\nName[da]=Wine, Programstarter til Windows-programmer\nName[nb]=Wine - for kj\xc3\xb8ring av Windows-programmer\nName[nn]=Wine - for k\xc3\xb8yring av Windows-program\nName[sr]=Wine - \xd0\xb4\xd0\xb8\xd0\xb7\xd0\xb0\xd1\x87 Windows \xd0\xbf\xd1\x80\xd0\xbe\xd0\xb3\xd1\x80\xd0\xb0\xd0\xbc\xd0\xb0\nName[sr@latin]=Wine - diza\xc4\x8d Windows programa\nName[hr]=Wine - diza\xc4\x8d Windows programa\nName[he]=Wine \xe2\x80\x94 \xd7\x9e\xd7\xa8\xd7\x99\xd7\xa5 \xd7\xaa\xd7\x9b\xd7\xa0\xd7\x99\xd7\x95\xd7\xaa Windows\nExec=wine start /unix %f\nMimeType=application/x-ms-dos-executable;application/x-msi;application/x-ms-shortcut;\nIcon=wine\nNoDisplay=true\nStartupNotify=true\nX-Desktop-File-Install-Version=0.21\nHidden=true\n"
Comment 1 Pavel Roskin 2013-07-03 19:37:33 EDT
Created attachment 768519 [details]
File: backtrace
Comment 2 Pavel Roskin 2013-07-03 19:37:39 EDT
Created attachment 768520 [details]
File: core_backtrace
Comment 3 Pavel Roskin 2013-07-03 19:37:42 EDT
Created attachment 768521 [details]
File: environ
Comment 5 Fedora End Of Life 2015-01-09 13:39:11 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 10:49:59 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.